# 使用官方的 Alpine Linux 作为基础镜像
FROM alpine:latest

# 设置工作目录
WORKDIR /root/

# 将编译好的二进制文件复制到镜像中
#COPY config ./config
COPY center .
RUN chmod +x ./center

# 暴露端口（如果需要）
#EXPOSE 8080

# 运行应用程序
ENTRYPOINT ["sh","-c","./center center --path=/config/profile-gc.json --node=m-center"]
